using System;

namespace Programme
{
    class Programme
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int n = Convert.ToInt32(s[0]);
            int l = Convert.ToInt32(s[1]);
            s = Console.ReadLine().Split(' ');
            int[] h = new int[n];
            for (int i = 0; i < n; i++)
            {
                h[i] = Convert.ToInt32(s[i]);
            }
            int counter = -1;
            for (int i = 0; i < n; i++)
            {
                if (h[i] <= l)
                {
                    counter = i + 1;
                    Console.WriteLine(counter);
                    break;
                }
            }
            if (counter == -1)
            {
                Console.WriteLine(counter);
            }
        }
    }
}